help about drawing

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Krupal
Posts: 1
Joined: Mon Oct 25, 2021 11:14 am

help about drawing

Post by Krupal »

hello
I am new to freecad. I tried to find a tutorial about this design but I don't know what its called arc or radius or something else
I want to create this design and want to know that if this is possible in freecad. there is multiple arc/radius in one single corner.
please anyone guide me through it ?


any help wold be appreciated.



thank you
Attachments
I only want to create outer side
I only want to create outer side
Screen Shot 2021-10-25 at 4.49.43 PM.png (136.72 KiB) Viewed 1238 times
User avatar
M4x
Veteran
Posts: 1472
Joined: Sat Mar 11, 2017 9:23 am
Location: Germany

Re: help about drawing

Post by M4x »

Are you looking for TechDraw_DetailView?

You can find several tutorials at the bottom of this page: TechDraw_Workbench
drmacro
Veteran
Posts: 8865
Joined: Sun Mar 02, 2014 4:35 pm

Re: help about drawing

Post by drmacro »

Does TechDraw have a way to do ordinate dimensions?

:?:
Star Trek II: The Wrath of Khan: Spock: "...His pattern indicates two-dimensional thinking."
User avatar
thomas-neemann
Veteran
Posts: 11801
Joined: Wed Jan 22, 2020 6:03 pm
Location: Osnabrück DE 🇩🇪
Contact:

Re: help about drawing

Post by thomas-neemann »

Krupal wrote: Mon Oct 25, 2021 11:26 am
there are many possibilities, e.g. enter points and create a bspline (very precise).
in this case i would do it this quick way if it is accurate enough.

https://www.youtube.com/watch?v=mdvJvzDhF6Y


phpBB [video]
Gruß Dipl.-Ing. (FH) Thomas Neemann

https://www.youtube.com/@thomasneemann5 ... ry=freecad
TheMarkster
Veteran
Posts: 5505
Joined: Thu Apr 05, 2018 1:53 am

Re: help about drawing

Post by TheMarkster »

Code: Select all

import Draft

def makePt(x,y):
    return FreeCAD.Vector(x,y,0)

xpts = [0,0,0,0.01,0.02,.05,0.11,0.26,0.55,1.06,1.81,2.78,3.95,5.28,6.72,8.22,9.74,11.27,12.80,14.33]
ypts = [18.98,17.45,15.91,14.38,12.85,11.32,9.80,8.27,6.77,5.33,4.00,2.82,1.84,1.08,0.57,0.26,0.11,0.04,0.01,0.0]
pts = []
ii=0
for x in xpts:
    y = ypts[ii]
    pts.append(makePt(x,y))
    ii += 1
if not FreeCAD.ActiveDocument:
    FreeCAD.newDocument()
Draft.makeBSpline(pts)
FreeCAD.ActiveDocument.recompute()
Snip macro screenshot-408355.png
Snip macro screenshot-408355.png (36.22 KiB) Viewed 1097 times
drmacro
Veteran
Posts: 8865
Joined: Sun Mar 02, 2014 4:35 pm

Re: help about drawing

Post by drmacro »

Is the question how to draw a curve or do ordinate dimensioning?

:lol:
Star Trek II: The Wrath of Khan: Spock: "...His pattern indicates two-dimensional thinking."
User avatar
thomas-neemann
Veteran
Posts: 11801
Joined: Wed Jan 22, 2020 6:03 pm
Location: Osnabrück DE 🇩🇪
Contact:

Re: help about drawing

Post by thomas-neemann »

drmacro wrote: Tue Oct 26, 2021 10:19 am
if i understand my automatic translator correctly he would like to draw the curve
Gruß Dipl.-Ing. (FH) Thomas Neemann

https://www.youtube.com/@thomasneemann5 ... ry=freecad
domad
Veteran
Posts: 2053
Joined: Mon Jun 22, 2020 12:16 pm

Re: help about drawing

Post by domad »

Krupal wrote: Mon Oct 25, 2021 11:26 am ........
Hi Krupal, greetings to the Community!

With this workflow it allows to obtain the curve, the technical drawing and the coordinate table.
It was done using the "Draft" and "TechDraw" Wbs, in particular a circumference and subsequent links were created with positioning through center coordinates set in the spreadsheet.
Subsequently, the center of each circumference determined the point belonging to the curve-spline and allowed its drawing in the 3D view (using the center snap).
Everything (curve and circumferences) has been transferred to TechDraw and through the “TechDrawTools” macro the coordinate table has been created with the “Create hole table” function.
The spreadsheet, generated by the "Create hole table" function (which automatically created the coordinate table and the annotations), was subsequently linked to the spreadsheet with the coordinates of the centers of the circumferences, so that any changes made will affect all over the drawing.
Attached the file
Attachments
curve.FCStd
(27.76 KiB) Downloaded 9 times
curve1.png
curve1.png (158.4 KiB) Viewed 979 times
TechDraw-curve1.png
TechDraw-curve1.png (148.64 KiB) Viewed 979 times
heda
Veteran
Posts: 1348
Joined: Sat Dec 12, 2015 5:49 pm

Re: help about drawing

Post by heda »

off-topic.
any code that works is good code in my book, however cannot resist from putting a slight variation of marksters code out there,
does the same - is just a bit more compact...

the passage

Code: Select all

pts = []
ii=0
for x in xpts:
    y = ypts[ii]
    pts.append(makePt(x,y))
    ii += 1
can be done with the one-liner

Code: Select all

pts = [makePt(x, y) for x, y in zip(xpts, ypts)]
or if one prefers loops

Code: Select all

pts = list()
for x, y in zip(xpts, ypts):
    pts.append(makePt(x, y))
my personal preference is the one-liner, easy to both read and write once one is used to that type of construct, and who knows, might be the fastest one (on the margin) as well :-)
chrisb
Veteran
Posts: 53922
Joined: Tue Mar 17, 2015 9:14 am

Re: help about drawing

Post by chrisb »

Can't resist either:
heda wrote: Tue Oct 26, 2021 3:36 pm any code that works is good code
No!
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
Post Reply